# libdar::simple_path_mask Class Reference
[API]

string matches if it is subdir of mask or mask is a subdir of expression More...

`#include <mask.hpp>`

Inherits libdar::mask.

List of all members.

## Public Member Functions
| simple_path_mask (const std::string &p, bool case_sensit)
| the constructor to be used by libdar external programs
bool | is_covered (const std::string &ch) const
| inherited from the mask class
mask * | clone () const
| inherited from the mask class

## Detailed Description

string matches if it is subdir of mask or mask is a subdir of expression

Definition at line 272 of file mask.hpp.

## Constructor & Destructor Documentation

libdar::simple_path_mask::simple_path_mask | ( | const std::string & | p,
|  | bool | case_sensit |
| ) |  |  | `[inline]`

the constructor to be used by libdar external programs

Parameters:

  `[in]` | p | the path the compare with
  `[in]` | case_sensit | whether the mask is case sensitive or not

Note:
  p must be a valid path

Definition at line 280 of file mask.hpp.

Referenced by clone().

The documentation for this class was generated from the following file:

- mask.hpp